
Infrastructure - Bug #2304

Portal logon return to wrong host

2012-02-08 14:23 - Dave Vieglais

Status: Closed Start date: 2012-02-08

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_identity_manager Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Log on through cn-sandbox-ucsb-1.dataone.org/portal uses the wrong server name of cn-dev.dataone.org

This should probably be set during the installation process of the package or determined from the host name of the server.

To reproduce:

visit https://cn-sandbox-ucsb-1.dataone.org/portal/

click "Begin Login"

Select an Identity Provider

Click "LOG ON"

History

#1 - 2012-02-08 18:22 - Ben Leinfelder

- Status changed from New to Closed

Now using the hostname found on the deployment server (hostname -f) as the configured value for the host in the CN URL. Default is 

https://cn.dataone.org/cn

Deployed/tested on cn-dev.dataone.org.

Included in cn-buildout

#2 - 2012-02-10 22:29 - Ben Leinfelder

Also realized he cfg.rdf file had host-specific configuration values. Those are now being updated during the debian post install script
